package com.ruoyi.web.controller.visual;


import com.ruoyi.common.core.domain.Result;
import com.ruoyi.system.service.IWebsiteAvailabilityMonitorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping("/view/")
public class PageDataViewController {

    @Autowired
    private IWebsiteAvailabilityMonitorService websiteAvailabilityMonitorService;


    /**
     * 网站可用性实时监测
     */
    @PostMapping("getWebsiteAvailabilityMonitor")
    @ResponseBody
    public Result<?> getWebsiteAvailabilityMonitor() {
        return Result.ok(websiteAvailabilityMonitorService.selectWebsiteAvailabilityMonitorList());
    }


}
